package com.trade.service.tradingplatform.domain;

import com.trade.common.core.domain.BaseEntity;

/**
 * 贸易平台资质表实体类
 *
 * @author hlb
 * @since 2024-06-05 17:00:03
 */
public class TradingPlatformQualification extends BaseEntity<TradingPlatformQualification> {
    /**
     * 贸易平台id
     */
    private Long platformId;
    /**
     * 贸易平台编码
     */
    private String platformCode;
    /**
     * 经营范围是否包含“货物进出口”业务类型，枚举：sys_yes_no
     */
    private String hasImportExportScope;
    /**
     * 是否已完成海关进出口货物收发货人登记，枚举：sys_yes_no
     */
    private String finishedCustomsConsignorRegister;
    /**
     * 是否完成电子口岸入网，枚举：sys_yes_no
     */
    private String finishedEportAccess;
    /**
     * 是否完成外汇管理局外汇收支名录登记
     * <p>
     * 是否完成外汇管理局外汇收支名录登记，枚举：sys_yes_no
     */
    private String finishedForeignExchangeRegister;
    /**
     * 是否完成出口退（免）税资格备案，枚举：sys_yes_no
     */
    private String finishedTaxRefundRecord;
    /**
     * 是否具备代理出口资质，枚举：sys_yes_no
     */
    private String hasExportAgentQualify;
    /**
     * 是否具备一般纳税人资质，枚举：sys_yes_no
     */
    private String hasGeneralTaxpayerQualify;
    /**
     * 是否具备进出口资质，枚举：sys_yes_no
     */
    private String hasImportExportQualification;
    /**
     * 备注信息
     */
    private String remark;


    public Long getPlatformId() {
        return platformId;
    }

    public void setPlatformId(Long platformId) {
        this.platformId = platformId;
    }

    public String getPlatformCode() {
        return platformCode;
    }

    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    public String getHasImportExportScope() {
        return hasImportExportScope;
    }

    public void setHasImportExportScope(String hasImportExportScope) {
        this.hasImportExportScope = hasImportExportScope;
    }

    public String getFinishedCustomsConsignorRegister() {
        return finishedCustomsConsignorRegister;
    }

    public void setFinishedCustomsConsignorRegister(String finishedCustomsConsignorRegister) {
        this.finishedCustomsConsignorRegister = finishedCustomsConsignorRegister;
    }

    public String getFinishedEportAccess() {
        return finishedEportAccess;
    }

    public void setFinishedEportAccess(String finishedEportAccess) {
        this.finishedEportAccess = finishedEportAccess;
    }

    public String getFinishedForeignExchangeRegister() {
        return finishedForeignExchangeRegister;
    }

    public void setFinishedForeignExchangeRegister(String finishedForeignExchangeRegister) {
        this.finishedForeignExchangeRegister = finishedForeignExchangeRegister;
    }

    public String getFinishedTaxRefundRecord() {
        return finishedTaxRefundRecord;
    }

    public void setFinishedTaxRefundRecord(String finishedTaxRefundRecord) {
        this.finishedTaxRefundRecord = finishedTaxRefundRecord;
    }

    public String getHasExportAgentQualify() {
        return hasExportAgentQualify;
    }

    public void setHasExportAgentQualify(String hasExportAgentQualify) {
        this.hasExportAgentQualify = hasExportAgentQualify;
    }

    public String getHasGeneralTaxpayerQualify() {
        return hasGeneralTaxpayerQualify;
    }

    public void setHasGeneralTaxpayerQualify(String hasGeneralTaxpayerQualify) {
        this.hasGeneralTaxpayerQualify = hasGeneralTaxpayerQualify;
    }
    public String getHasImportExportQualification() {
        return hasImportExportQualification;
    }

    public void setHasImportExportQualification(String hasImportExportQualification) {
        this.hasImportExportQualification = hasImportExportQualification;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}

